<template>
    <el-main v-if="appData">
        <el-table
            @sort-change="index(null, $event)"
            :data="appData.data"
            border
            :default-sort="defaultSort"
            :class="'search margin-bottom-20'"
            style="width: 100%">
            <el-table-column>
                <template slot="header" slot-scope="scope">
                    <el-input v-model="search['name']"
                              clearable
                              placeholder="Поиск по наименованию"
                              size="mini"
                              @clear="index(1)"
                              @keyup.native.enter="index(1)"/>
                </template>
                <el-table-column
                    prop="name"
                    label="Наименование"
                    sortable>
                </el-table-column>
            </el-table-column>
            <el-table-column>
                <template slot="header" slot-scope="scope">
                    <el-input v-model="search['code']"
                              clearable
                              placeholder="Поиск по коду"
                              size="mini"
                              @clear="index(1)"
                              @keyup.native.enter="index(1)"/>
                </template>
                <el-table-column
                    prop="code"
                    label="Код"
                    sortable>
                </el-table-column>
            </el-table-column>
            <el-table-column>
                <template slot="header" slot-scope="scope">
                    <el-input v-model="search['color']"
                              clearable
                              placeholder="Поиск по цвету"
                              size="mini"
                              @clear="index(1)"
                              @keyup.native.enter="index(1)"/>
                </template>
                <el-table-column
                    prop="color"
                    label="Цвет"
                    sortable>
                </el-table-column>
            </el-table-column>
            <el-table-column>
                <template slot="header" slot-scope="scope">
                    <el-input v-model="search['price']"
                              clearable
                              placeholder="Поиск по цене от"
                              size="mini"
                              @clear="index(1)"
                              @keyup.native.enter="index(1)"/>
                </template>
                <el-table-column
                    prop="price"
                    label="Цена"
                    sortable>
                </el-table-column>
            </el-table-column>
            <el-table-column>
                <template slot="header" slot-scope="scope">
                    <el-input v-model="search['size']"
                              clearable
                              placeholder="Поиск по размеру"
                              size="mini"
                              @clear="index(1)"
                              @keyup.native.enter="index(1)"/>
                </template>
                <el-table-column
                    prop="size"
                    label="Размер"
                    sortable>
                </el-table-column>
            </el-table-column>
            <el-table-column>
                <template slot="header" slot-scope="scope">
                    <el-input v-model="search['description']"
                              clearable
                              placeholder="Поиск по описанию"
                              size="mini"
                              @clear="index(1)"
                              @keyup.native.enter="index(1)"/>
                </template>
                <el-table-column
                    prop="description"
                    label="Описание"
                    sortable>
                </el-table-column>
            </el-table-column>
            <el-table-column align="center">
                <template slot="header">
                    <el-button size="mini" @click="clearSearch()">Очистить</el-button>
                </template>
            </el-table-column>
        </el-table>

        <el-pagination
            v-if="appData.total > appData.per_page"
            background
            layout="prev, pager, next"
            :total="appData.total"
            :page-size="appData.per_page"
            :current-page="appData.current_page"
            @current-change="index($event)">
        </el-pagination>
    </el-main>
</template>

<script>
import listMixin from "../mixins/list";

export default {
    mixins: [listMixin]
}
</script>
